Package weka.associations.tertius

# Class AttributeValueLiteral

java.lang.Object
weka.associations.tertius.Literal
weka.associations.tertius.AttributeValueLiteral

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Direct Known Subclasses:
  `IndividualLiteral`

public class AttributeValueLiteral extends Literal

Version:
  $Revision: 1.6 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class weka.associations.tertius.Literal

`NEG, POS`

## Constructor Summary

Constructors
Constructor
Description
`AttributeValueLiteral(Predicate predicate, String value, int index, int sign, int missing)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`boolean`
`negationSatisfies(Instance instance)`
`boolean`
`satisfies(Instance instance)`
`String`
`toString()`

### Methods inherited from class weka.associations.tertius.Literal

`getNegation, getPredicate, negative, positive, setNegation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeValueLiteral

public AttributeValueLiteral(Predicate predicate, String value, int index, int sign, int missing)

## Method Details

### satisfies

public boolean satisfies(Instance instance)

Specified by:
  `satisfies` in class `Literal`

### negationSatisfies

public boolean negationSatisfies(Instance instance)

Specified by:
  `negationSatisfies` in class `Literal`

### toString

public String toString()

Specified by:
  `toString` in class `Literal`

### getRevision

public String getRevision()
Returns the revision string.

Returns:
  the revision